Subject: Add and Modify DN Operations in [Protocol]-12

From: Hallvard B Furuseth <[email-masked]>
Date: Thu, 9 Jan 2003 19:40:58 +0100

> 4.7. Add Operation 
>   The entry named in the entry field of the AddRequest MUST NOT exist 
>   for the AddRequest to succeed. The parent of the entry to be added 
>   MUST exist

unless the entry being added is the initial vertex of a naming
context.

Modify DN with newSuperior set should also require that the entry named
by newSuperior already exists, unless the new entry name is the initial
vertex of a naming context - which would mean that an entry in one
naming context is moved to become the initial vertex of another naming
context.  Or should that be legal at all?

-- 
Hallvard